### 5.11 `mempcpy`—copy memory regions and return end pointer

Synopsis

         #include <string.h>
         void* mempcpy(void *out, const void *in, size_t n);

Description
This function copies n bytes from the memory region pointed to by in to the memory region pointed to by out.

If the regions overlap, the behavior is undefined.

Returns
`mempcpy` returns a pointer to the byte following the last byte copied to the out region.

Portability
`mempcpy` is a GNU extension.

`mempcpy` requires no supporting OS subroutines.